> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/protect/prescriptive-paths.md).

# Prescriptive Paths

Manage prescriptive paths.

## Lists all available prescriptive paths

> Returns the prescriptive path information for the asset type with the specified ID.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Protect API","version":"1.0.0"},"tags":[{"name":"Prescriptive Paths","description":"Manage prescriptive paths."}],"servers":[{"url":"/rest/protect/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"schemas":{"PrescriptivePaths":{"description":"An array of prescriptive paths.","type":"array","items":{"$ref":"#/components/schemas/PrescriptivePath"}},"PrescriptivePath":{"type":"object","properties":{"assetTypeId":{"description":"The ID of the prescriptive path's asset type.","type":"string","format":"uuid"},"createdBy":{"description":"Id of the Collibra user who created this group","type":"string","format":"uuid"},"createdOn":{"description":"Timestamp when this prescriptive path was created","type":"integer","format":"int64"},"lastModifiedBy":{"description":"Id of the Collibra user who last updated this prescriptive path","type":"string","format":"uuid"},"lastModifiedOn":{"description":"Timestamp when this prescriptive path has last been updated","type":"integer","format":"int64"}},"allOf":[{"$ref":"#/components/schemas/EditablePrescriptivePath"}],"required":["assetTypeId","createdBy","createdOn","lastModifiedBy","lastModifiedOn"]},"EditablePrescriptivePath":{"type":"object","properties":{"description":{"type":"string"},"relations":{"type":"array","items":{"$ref":"#/components/schemas/PrescriptivePathRelation"}}},"required":["relations"]},"PrescriptivePathRelation":{"type":"object","properties":{"relationTypeId":{"type":"string","format":"uuid"},"relationTypeDirection":{"$ref":"#/components/schemas/RelationTypeDirection"},"assetType":{"$ref":"#/components/schemas/PrescriptivePathAssetType"}},"required":["relationTypeId","relationTypeDirection","assetType"]},"RelationTypeDirection":{"type":"string","description":"Indicates whether the PrescriptivePathAssetType containing a PrescriptivePathRelation is the\nhead/source or tail/target of that relation type. The only allowed values are SOURCE and TARGET.\n"},"PrescriptivePathAssetType":{"type":"object","properties":{"assetTypeId":{"type":"string","format":"uuid"},"relation":{"$ref":"#/components/schemas/PrescriptivePathRelation"}}},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"HTTP response code"},"titleMessage":{"type":"string","description":"The title of the error message."},"helpMessage":{"type":"string","description":"A message containing actions you can take regarding the error."},"userMessage":{"type":"string","description":"A user friendly error message."},"errorCode":{"type":"string","description":"An error code identifier."}},"required":["statusCode","userMessage"]}},"responses":{"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest404":{"description":"Resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"An unexpected error has occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/prescriptivePaths":{"get":{"tags":["Prescriptive Paths"],"summary":"Lists all available prescriptive paths","description":"Returns the prescriptive path information for the asset type with the specified ID.","operationId":"listPrescriptivePaths","responses":{"200":{"description":"All available prescriptive paths.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PrescriptivePaths"}}}},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"404":{"$ref":"#/components/responses/InvalidRequest404"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```

## Add a new prescriptive path

> Adds a new prescriptive path.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Protect API","version":"1.0.0"},"tags":[{"name":"Prescriptive Paths","description":"Manage prescriptive paths."}],"servers":[{"url":"/rest/protect/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"schemas":{"AddPrescriptivePathRequest":{"type":"object","properties":{"assetTypeId":{"description":"The ID of the prescriptive path's asset type.","type":"string","format":"uuid"}},"allOf":[{"$ref":"#/components/schemas/EditablePrescriptivePath"}],"required":["assetTypeId"]},"EditablePrescriptivePath":{"type":"object","properties":{"description":{"type":"string"},"relations":{"type":"array","items":{"$ref":"#/components/schemas/PrescriptivePathRelation"}}},"required":["relations"]},"PrescriptivePathRelation":{"type":"object","properties":{"relationTypeId":{"type":"string","format":"uuid"},"relationTypeDirection":{"$ref":"#/components/schemas/RelationTypeDirection"},"assetType":{"$ref":"#/components/schemas/PrescriptivePathAssetType"}},"required":["relationTypeId","relationTypeDirection","assetType"]},"RelationTypeDirection":{"type":"string","description":"Indicates whether the PrescriptivePathAssetType containing a PrescriptivePathRelation is the\nhead/source or tail/target of that relation type. The only allowed values are SOURCE and TARGET.\n"},"PrescriptivePathAssetType":{"type":"object","properties":{"assetTypeId":{"type":"string","format":"uuid"},"relation":{"$ref":"#/components/schemas/PrescriptivePathRelation"}}},"PrescriptivePath":{"type":"object","properties":{"assetTypeId":{"description":"The ID of the prescriptive path's asset type.","type":"string","format":"uuid"},"createdBy":{"description":"Id of the Collibra user who created this group","type":"string","format":"uuid"},"createdOn":{"description":"Timestamp when this prescriptive path was created","type":"integer","format":"int64"},"lastModifiedBy":{"description":"Id of the Collibra user who last updated this prescriptive path","type":"string","format":"uuid"},"lastModifiedOn":{"description":"Timestamp when this prescriptive path has last been updated","type":"integer","format":"int64"}},"allOf":[{"$ref":"#/components/schemas/EditablePrescriptivePath"}],"required":["assetTypeId","createdBy","createdOn","lastModifiedBy","lastModifiedOn"]},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"HTTP response code"},"titleMessage":{"type":"string","description":"The title of the error message."},"helpMessage":{"type":"string","description":"A message containing actions you can take regarding the error."},"userMessage":{"type":"string","description":"A user friendly error message."},"errorCode":{"type":"string","description":"An error code identifier."}},"required":["statusCode","userMessage"]}},"responses":{"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest409":{"description":"Conflicts found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"An unexpected error has occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/prescriptivePaths":{"post":{"tags":["Prescriptive Paths"],"summary":"Add a new prescriptive path","description":"Adds a new prescriptive path.","operationId":"addPrescriptivePath","requestBody":{"description":"The prescriptive path to add.","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddPrescriptivePathRequest"}}}},"responses":{"201":{"description":"The prescriptive path has been added.","headers":{"Location":{"description":"The URL of the added prescriptive path.","schema":{"type":"string","format":"uri"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PrescriptivePath"}}}},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"409":{"$ref":"#/components/responses/InvalidRequest409"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```

## GET /prescriptivePaths/assetTypes

> List asset types supported by Protect

```json
{"openapi":"3.0.3","info":{"title":"Collibra Protect API","version":"1.0.0"},"tags":[{"name":"Prescriptive Paths","description":"Manage prescriptive paths."}],"servers":[{"url":"/rest/protect/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"schemas":{"AssetTypeIds":{"description":"An array of asset type ids.","type":"array","items":{"type":"string","format":"uuid"}},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"HTTP response code"},"titleMessage":{"type":"string","description":"The title of the error message."},"helpMessage":{"type":"string","description":"A message containing actions you can take regarding the error."},"userMessage":{"type":"string","description":"A user friendly error message."},"errorCode":{"type":"string","description":"An error code identifier."}},"required":["statusCode","userMessage"]}},"responses":{"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"An unexpected error has occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/prescriptivePaths/assetTypes":{"get":{"tags":["Prescriptive Paths"],"summary":"List asset types supported by Protect","operationId":"listAssetTypes","responses":{"200":{"description":"The list of asset type ids supported by Protect.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AssetTypeIds"}}}},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```

## Retrieve a prescriptive path

> Returns the prescriptive path information for the asset type with the specified ID.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Protect API","version":"1.0.0"},"tags":[{"name":"Prescriptive Paths","description":"Manage prescriptive paths."}],"servers":[{"url":"/rest/protect/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"schemas":{"PrescriptivePath":{"type":"object","properties":{"assetTypeId":{"description":"The ID of the prescriptive path's asset type.","type":"string","format":"uuid"},"createdBy":{"description":"Id of the Collibra user who created this group","type":"string","format":"uuid"},"createdOn":{"description":"Timestamp when this prescriptive path was created","type":"integer","format":"int64"},"lastModifiedBy":{"description":"Id of the Collibra user who last updated this prescriptive path","type":"string","format":"uuid"},"lastModifiedOn":{"description":"Timestamp when this prescriptive path has last been updated","type":"integer","format":"int64"}},"allOf":[{"$ref":"#/components/schemas/EditablePrescriptivePath"}],"required":["assetTypeId","createdBy","createdOn","lastModifiedBy","lastModifiedOn"]},"EditablePrescriptivePath":{"type":"object","properties":{"description":{"type":"string"},"relations":{"type":"array","items":{"$ref":"#/components/schemas/PrescriptivePathRelation"}}},"required":["relations"]},"PrescriptivePathRelation":{"type":"object","properties":{"relationTypeId":{"type":"string","format":"uuid"},"relationTypeDirection":{"$ref":"#/components/schemas/RelationTypeDirection"},"assetType":{"$ref":"#/components/schemas/PrescriptivePathAssetType"}},"required":["relationTypeId","relationTypeDirection","assetType"]},"RelationTypeDirection":{"type":"string","description":"Indicates whether the PrescriptivePathAssetType containing a PrescriptivePathRelation is the\nhead/source or tail/target of that relation type. The only allowed values are SOURCE and TARGET.\n"},"PrescriptivePathAssetType":{"type":"object","properties":{"assetTypeId":{"type":"string","format":"uuid"},"relation":{"$ref":"#/components/schemas/PrescriptivePathRelation"}}},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"HTTP response code"},"titleMessage":{"type":"string","description":"The title of the error message."},"helpMessage":{"type":"string","description":"A message containing actions you can take regarding the error."},"userMessage":{"type":"string","description":"A user friendly error message."},"errorCode":{"type":"string","description":"An error code identifier."}},"required":["statusCode","userMessage"]}},"responses":{"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest404":{"description":"Resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"An unexpected error has occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/prescriptivePaths/{assetTypeId}":{"get":{"tags":["Prescriptive Paths"],"summary":"Retrieve a prescriptive path","description":"Returns the prescriptive path information for the asset type with the specified ID.","operationId":"getPrescriptivePath","parameters":[{"in":"path","description":"The universally unique identifier (UUID) of the asset type.","name":"assetTypeId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"The prescriptive path information for the asset type with the specified ID.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PrescriptivePath"}}}},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"404":{"$ref":"#/components/responses/InvalidRequest404"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```

## Delete a prescriptive path

> Deletes the prescriptive path for the asset type with the specified ID.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Protect API","version":"1.0.0"},"tags":[{"name":"Prescriptive Paths","description":"Manage prescriptive paths."}],"servers":[{"url":"/rest/protect/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"responses":{"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest404":{"description":"Resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest409":{"description":"Conflicts found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"An unexpected error has occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}},"schemas":{"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"HTTP response code"},"titleMessage":{"type":"string","description":"The title of the error message."},"helpMessage":{"type":"string","description":"A message containing actions you can take regarding the error."},"userMessage":{"type":"string","description":"A user friendly error message."},"errorCode":{"type":"string","description":"An error code identifier."}},"required":["statusCode","userMessage"]}}},"paths":{"/prescriptivePaths/{assetTypeId}":{"delete":{"tags":["Prescriptive Paths"],"summary":"Delete a prescriptive path","description":"Deletes the prescriptive path for the asset type with the specified ID.","operationId":"deletePrescriptivePath","parameters":[{"in":"path","description":"The universally unique identifier (UUID) of the asset type.","name":"assetTypeId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"The prescriptive path has been deleted."},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"404":{"$ref":"#/components/responses/InvalidRequest404"},"409":{"$ref":"#/components/responses/InvalidRequest409"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```

## Update a prescriptive path

> Updates the prescriptive path for the asset type with the specified ID.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Protect API","version":"1.0.0"},"tags":[{"name":"Prescriptive Paths","description":"Manage prescriptive paths."}],"servers":[{"url":"/rest/protect/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"schemas":{"ChangePrescriptivePathRequest":{"type":"object","allOf":[{"$ref":"#/components/schemas/EditablePrescriptivePath"}]},"EditablePrescriptivePath":{"type":"object","properties":{"description":{"type":"string"},"relations":{"type":"array","items":{"$ref":"#/components/schemas/PrescriptivePathRelation"}}},"required":["relations"]},"PrescriptivePathRelation":{"type":"object","properties":{"relationTypeId":{"type":"string","format":"uuid"},"relationTypeDirection":{"$ref":"#/components/schemas/RelationTypeDirection"},"assetType":{"$ref":"#/components/schemas/PrescriptivePathAssetType"}},"required":["relationTypeId","relationTypeDirection","assetType"]},"RelationTypeDirection":{"type":"string","description":"Indicates whether the PrescriptivePathAssetType containing a PrescriptivePathRelation is the\nhead/source or tail/target of that relation type. The only allowed values are SOURCE and TARGET.\n"},"PrescriptivePathAssetType":{"type":"object","properties":{"assetTypeId":{"type":"string","format":"uuid"},"relation":{"$ref":"#/components/schemas/PrescriptivePathRelation"}}},"PrescriptivePath":{"type":"object","properties":{"assetTypeId":{"description":"The ID of the prescriptive path's asset type.","type":"string","format":"uuid"},"createdBy":{"description":"Id of the Collibra user who created this group","type":"string","format":"uuid"},"createdOn":{"description":"Timestamp when this prescriptive path was created","type":"integer","format":"int64"},"lastModifiedBy":{"description":"Id of the Collibra user who last updated this prescriptive path","type":"string","format":"uuid"},"lastModifiedOn":{"description":"Timestamp when this prescriptive path has last been updated","type":"integer","format":"int64"}},"allOf":[{"$ref":"#/components/schemas/EditablePrescriptivePath"}],"required":["assetTypeId","createdBy","createdOn","lastModifiedBy","lastModifiedOn"]},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"HTTP response code"},"titleMessage":{"type":"string","description":"The title of the error message."},"helpMessage":{"type":"string","description":"A message containing actions you can take regarding the error."},"userMessage":{"type":"string","description":"A user friendly error message."},"errorCode":{"type":"string","description":"An error code identifier."}},"required":["statusCode","userMessage"]}},"responses":{"InvalidRequest400":{"description":"The request is not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest404":{"description":"Resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest409":{"description":"Conflicts found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"An unexpected error has occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/prescriptivePaths/{assetTypeId}":{"patch":{"tags":["Prescriptive Paths"],"summary":"Update a prescriptive path","description":"Updates the prescriptive path for the asset type with the specified ID.","operationId":"patchPrescriptivePath","parameters":[{"in":"path","description":"The universally unique identifier (UUID) of the asset type.","name":"assetTypeId","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"description":"The changes that need to be applied to the prescriptive path.","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChangePrescriptivePathRequest"}}}},"responses":{"200":{"description":"The prescriptive path has been updated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PrescriptivePath"}}}},"400":{"$ref":"#/components/responses/InvalidRequest400"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"404":{"$ref":"#/components/responses/InvalidRequest404"},"409":{"$ref":"#/components/responses/InvalidRequest409"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/protect/prescriptive-paths.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
